summaryrefslogtreecommitdiff
path: root/standalone/osx
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2013-03-20 14:11:36 -0400
committerGravatar Joey Hess <joey@kitenet.net>2013-03-20 14:11:36 -0400
commita1321e82520651a1282b621cf9148a4611247238 (patch)
treecf9d3e556bf80eb6d00ed948f473765b3bb9cc23 /standalone/osx
parent92bcc18061d7774e98c5856f0910adda8865f608 (diff)
deal with $0 having spaces in it
Diffstat (limited to 'standalone/osx')
-rwxr-xr-xstandalone/osx/git-annex.app/Contents/MacOS/git-annex2
-rwxr-xr-xstandalone/osx/git-annex.app/Contents/MacOS/git-annex-webapp2
-rwxr-xr-xstandalone/osx/git-annex.app/Contents/MacOS/runshell2
3 files changed, 3 insertions, 3 deletions
diff --git a/standalone/osx/git-annex.app/Contents/MacOS/git-annex b/standalone/osx/git-annex.app/Contents/MacOS/git-annex
index f6b9d9c78..5c63d15c9 100755
--- a/standalone/osx/git-annex.app/Contents/MacOS/git-annex
+++ b/standalone/osx/git-annex.app/Contents/MacOS/git-annex
@@ -1,5 +1,5 @@
#!/bin/sh
-base="$(dirname $0)"
+base="$(dirname "$0")"
if [ ! -d "$base" ]; then
echo "** cannot find base directory (I seem to be $0)" >&2
exit 1
diff --git a/standalone/osx/git-annex.app/Contents/MacOS/git-annex-webapp b/standalone/osx/git-annex.app/Contents/MacOS/git-annex-webapp
index b221db32a..73319d324 100755
--- a/standalone/osx/git-annex.app/Contents/MacOS/git-annex-webapp
+++ b/standalone/osx/git-annex.app/Contents/MacOS/git-annex-webapp
@@ -1,5 +1,5 @@
#!/bin/sh
-base="$(dirname $0)"
+base="$(dirname "$0")"
if [ ! -d "$base" ]; then
echo "** cannot find base directory (I seem to be $0)" >&2
exit 1
diff --git a/standalone/osx/git-annex.app/Contents/MacOS/runshell b/standalone/osx/git-annex.app/Contents/MacOS/runshell
index 23f9ff253..9f1457e25 100755
--- a/standalone/osx/git-annex.app/Contents/MacOS/runshell
+++ b/standalone/osx/git-annex.app/Contents/MacOS/runshell
@@ -4,7 +4,7 @@
set -e
-base="$(dirname $0)"
+base="$(dirname "$0")"
if [ ! -d "$base" ]; then
echo "** cannot find base directory (I seem to be $0)" >&2